'use strict';

var StockMovementCtrl = ['$scope', '$location', 'dateFilter', 'stock_movement', function ($scope, $location, dateFilter, stock_movement) {
    $scope.info = stock_movement;
    $scope.show = function () {
        if (angular.isDate($scope.info.StartDate)) {
            $scope.info.StartDate = dateFilter($scope.info.StartDate, 'dd-MMM-yyyy');
        }
        if (angular.isDate($scope.info.FinishDate)) {
            $scope.info.FinishDate = dateFilter($scope.info.FinishDate, 'dd-MMM-yyyy');
        }
        $location.path('/StockMovement').search({StartDate: $scope.info.StartDate, FinishDate: $scope.info.FinishDate});
    };
    $('#txtStartDate').focus();
}];

StockMovementCtrl.resolve = {
    stock_movement: ['$route', 'StockMovement', function ($route, StockMovement) {
        var start_date = $route.current.params.StartDate,
            finish_date = $route.current.params.FinishDate;

        if (typeof start_date === 'undefined' || typeof finish_date === 'undefined') {
           return StockMovement.get({}).$promise;
        } else {
           return StockMovement.get({StartDate: start_date, FinishDate: finish_date}).$promise;
        }
    }]
};